Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.image
Class CurvePath

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.util.QTHandle
                        |
                        +--quicktime.std.image.CurvePath

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class CurvePath
extends QTHandle
implements quicktime.jdirect.QuickTimeLib

You use the CurvePath to specify a single contour composed of straight lines and curves.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`CurvePath(Curve c)` This method is used to create a new path.

Method Summary
`void` | `insertPoint(QDPoint aPoint, int contourIndex, int pointIndex, boolean ptIsOnPath)` This method is best for adding a single point to a path rather than large numbers of points to a path.

Methods inherited from class quicktime.util.QTHandle
`clone, concatenate, fromEncodedImage, fromGraphicsExporterInput, fromGraphicsExporterOutput, fromGraphicsExporterText, fromGraphicsImporterAlias, fromGraphicsImporterData, fromSoundDescription, fromTimeCoderCurrent, fromTimeCoderSource, fromTimeCoderTime, fromTrack, reserveMemory, setSize`

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, getSize, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, toString, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CurvePath

    public CurvePath(Curve c)
              throws StdQTException

  This method is used to create a new path.
  QuickTime::CurveNewPath

  Method Detail

  ### insertPoint

      public void insertPoint(QDPoint aPoint,
                              int contourIndex,
                              int pointIndex,
                              boolean ptIsOnPath)
                       throws StdQTException

    This method is best for adding a single point to a path rather than large numbers of points to a path.
    QuickTime::CurveInsertPointIntoPath
  Parameters:
    `aPoint` - the point to add to the path.
    `contourIndex` - Specifies the index of the path contour to which to add the point.
    `pointIndex` - Specifies the index of the point to add.
    `ptIsOnPath` - If TRUE , specifies that the new point is to be on the path.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD